# TODO
# - lighttpd support
%define		php_min_version 5.3.4
%include	/usr/lib/rpm/macros.php
Summary:	Open source monitoring and reporting tool for Bacula
Name:		bacula-web
Version:	6.0.0
Release:	2
License:	GPL v2
Group:		Applications/WWW
Source0:	http://www.bacula-web.org/download/articles/bacula-web-600.html?file=files/bacula-web.org/downloads/%{name}-%{version}.tgz
# Source0-md5:	3e99f9626cf4329ce43947f11a9d8f49
Source1:	apache.conf
Patch0:		sys-libs.patch
URL:		http://www.bacula-web.org/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.654
BuildRequires:	sed >= 4.0
Requires:	Smarty
Requires:	Smarty-plugin-gettext
Requires:	php(core) >= %{php_min_version}
Requires:	php(gd)
Requires:	php(gettext)
Requires:	php(pdo)
Requires:	php(session)
Requires:	phplot
Requires:	webserver(php)
# Any of the db drivers needed depending where you hold your Bacula DB
Suggests:	php-pdo-mysql
Suggests:	php-pdo-pgsql
Suggests:	php-pdo-sqlite
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}
%define		cachedir	/var/cache/%{name}
%define		_smartyplugindir	%{php_data_dir}/Smarty/plugins

# bad depsolver
%define		_noautopear	pear
# put it together for rpmbuild
%define		_noautoreq	%{?_noautophp} %{?_noautopear}

%description
Bacula-Web is a web based tool written in PHP that provide you a
summarized view of your bacula's backup infrastructure. It obtain his
information from your bacula catalog's database.

%prep
%setup -q
%patch0 -p1

mv application/config .
mv config/config.php{.sample,}
%{__rm} application/locale/*/LC_MESSAGES/*.po
%{__rm} -r application/view/cache
mv core/external .
mv DOCS/* .

# you'll need this if you cp -a complete dir in source
# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir},%{cachedir}}
cp -a *.php application core $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -p $RPM_BUILD_ROOT%{_sysconfdir}/{apache,httpd}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
# cleanup cache from previous rpm
echo %{cachedir}/* | xargs rm -f

%preun
if [ "$1" = 0 ]; then
	echo %{cachedir}/* | xargs rm -f
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc INSTALL README Changelog
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/config.php

%dir %{_appdir}
%{_appdir}/backupjob-report.php
%{_appdir}/client-report.php
%{_appdir}/index.php
%{_appdir}/joblogs.php
%{_appdir}/jobs.php
%{_appdir}/pools.php
%{_appdir}/test.php

%dir %{_appdir}/core
%{_appdir}/core/bweb.class.php
%{_appdir}/core/const.inc.php
%{_appdir}/core/global.inc.php
%{_appdir}/core/app
%{_appdir}/core/db
%{_appdir}/core/graph
%{_appdir}/core/i18n
%{_appdir}/core/utils

%dir %{_appdir}/application
%{_appdir}/application/libs
%{_appdir}/application/models
%{_appdir}/application/view

%dir %{_appdir}/application/locale
%lang(de) %{_appdir}/application/locale/de_DE
%lang(en) %{_appdir}/application/locale/en_EN
%lang(es) %{_appdir}/application/locale/es_ES
%lang(fr) %{_appdir}/application/locale/fr_FR
%lang(it) %{_appdir}/application/locale/it_IT
%lang(nl) %{_appdir}/application/locale/nl_NL
%lang(pt_BR) %{_appdir}/application/locale/pt_BR
%lang(sv) %{_appdir}/application/locale/sv_SV

%dir %attr(775,root,http) %{cachedir}
%changelog
* Sat Jan 18 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bacula-web.git;a=log;h=master

* Sat Jan 18 2014 Jan Rękorajski <baggins@pld-linux.org> f5b5146
- release 2 (by relup.sh)

* Fri Dec 06 2013 Elan Ruusamäe <glen@delfi.ee> 83a9a2c
- reset release

* Fri Dec 06 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 5e3bbf5
- Version: 6.0.0

* Thu Sep 26 2013 Elan Ruusamäe <glen@delfi.ee> 5fb8561
- apache multiversion config

* Thu Sep 26 2013 Elan Ruusamäe <glen@delfi.ee> 2f6c9c5
- Revert "- migrate to apache 2.4"

* Fri May 17 2013 Jan Rękorajski <baggins@pld-linux.org> 71a111a
- updated files
- rel 3

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> 860e83e
- rel 2

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> cf69a54
- migrate to apache 2.4

* Mon Jan 28 2013 Elan Ruusamäe <glen@delfi.ee> 1927706
- up to 5.2.12

* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> 7b1a6e5
- cleanup dup

* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> 97184a1
- updated to 5.2.11

* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> e6d218c
- fix use of system {t} modifier

* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> 8eb594c
- do not package empty templates_c

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 1f4ccae
- use php(core) as dependency to require php version
- release 5 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> f3e8be0
- use virtual php extension deps (to be independant of php version)
- release 5 (by relup.sh)

* Sat Apr 07 2012 Elan Ruusamäe <glen@pld-linux.org> 84ee5b6
- outdated

* Sat Apr 07 2012 Elan Ruusamäe <glen@pld-linux.org> 138953e
- use external libs, add cachedir

* Sat Apr 07 2012 Elan Ruusamäe <glen@pld-linux.org> eba56fc
- start updating to 5.2.2

* Mon Jul 20 2009 Elan Ruusamäe <glen@pld-linux.org> a76cb80
- problem with system phplot

* Mon Jul 20 2009 Elan Ruusamäe <glen@pld-linux.org> af7a763
- drop everything and package bacula-web

